/* Root vars */
:root {
    /* Colours :) */
    --colours-purple-1:hsl(256 32% 51%);
    --colours-purple-2: hsl(256 32% 70.6%);

    --colours-green-1: hsl(104 57.1% 61.6%);
    --colours-green-2: hsl(104 56.7% 88.2%);

    /* Fonts */
    --fonts-header: "Playwrite US Modern", sans-serif;
    --fonts-subtitle: "Sniglet", sans-serif;
    --fonts-body: "Schoolbell", sans-serif;
}

/* General Styling */
body {
    margin: 0px;
    left: 0px;
    top: 0px;
    position: fixed;
}

h1 {
    font-family: var(--fonts-header);
}

/* Header Styling */
.Header {
    width: 100vw;
    height: 15vh;
    display: flex;
    position: fixed;
    flex-direction: column;
    z-index: 999;
    font-size: 0.9em;
    justify-content: center;
}

/* Titlebar Styling */
.Titlebar {
    width: 100vw;
    height: 75%;
    display: flex;
    background-color: var(--colours-purple-1);
    padding-left: 10px;
    align-items: center;
}

.Title {
    height: 80%;
    margin-right: 40px;
}

/* Navbar Styling */
.Navbar {
    width: 100%;
    height: 25%;
    display: flex;
    background-color: var(--colours-purple-2);
    align-items: center;
    justify-content: center;
}

.Link {
    font-family: var(--fonts-header);
    color: var(--colours-green-2);
    margin-left: 10px;
    margin-right: 10px;
    text-decoration: none;
}

/* Main Content Styling */
.Content {
    position: fixed;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

/* Hero Styling */
.Hero {
    display: flex;
    height: 40vh;
    width: 100vw;
    background-color: var(--colours-green-1);
}

.HeroText {
    display: flex;
    flex-direction: column;
}

.HeroImage {
    scale: 0.9;
    border-radius: 0.9rem;
}

.HeroDescription {
    font-family: var(--fonts-subtitle);
    font-weight: normal;
}

.HeroBody {
    font-family: var(--fonts-body);
}

.Icon {
    font-size: 1.5vw;
}

/* Body */
.BodyText {
    font-family: var(--fonts-body);
    margin: 10px;
}